using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface IRoundRepository : IRepository<Round>
{
    Task<IEnumerable<Round>> GetByTournamentEventLevelAsync(int tournamentEventLevelId);
    Task<Round?> GetWithHeatsAsync(int roundId);
}
